Fix vagrant provisioning script
authorTom Hughes <tom@compton.nu>
Wed, 7 Aug 2019 16:25:48 +0000 (17:25 +0100)
committerTom Hughes <tom@compton.nu>
Wed, 7 Aug 2019 16:27:25 +0000 (17:27 +0100)
Fixes #2343

script/vagrant/setup/provision.sh

index 3429910..4bacf56 100644 (file)
@@ -20,7 +20,7 @@ apt-get install -y ruby2.5 libruby2.5 ruby2.5-dev \
                      libmagickwand-dev libxml2-dev libxslt1-dev nodejs \
                      apache2 apache2-dev build-essential git-core \
                      postgresql postgresql-contrib libpq-dev postgresql-server-dev-all \
                      libmagickwand-dev libxml2-dev libxslt1-dev nodejs \
                      apache2 apache2-dev build-essential git-core \
                      postgresql postgresql-contrib libpq-dev postgresql-server-dev-all \
-                     libsasl2-dev imagemagick phantomjs
+                     libsasl2-dev imagemagick libffi-dev libgd-dev libarchive-dev libbz2-dev
 gem2.5 install rake
 gem2.5 install --version "~> 1.16.2" bundler
 
 gem2.5 install rake
 gem2.5 install --version "~> 1.16.2" bundler
 
@@ -49,9 +49,6 @@ popd
 if [ ! -f config/database.yml ]; then
     sudo -u vagrant cp config/example.database.yml config/database.yml
 fi
 if [ ! -f config/database.yml ]; then
     sudo -u vagrant cp config/example.database.yml config/database.yml
 fi
-if [ ! -f config/application.yml ]; then
-    sudo -u vagrant cp config/example.application.yml config/application.yml
-fi
 # migrate the database to the latest version
 sudo -u vagrant rake db:migrate
 popd
 # migrate the database to the latest version
 sudo -u vagrant rake db:migrate
 popd